MQClientConnectionChannel (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQClientConnectionChannel interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQClientConnectionChannel

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQChannel, java.io.Serializable

    public interface MQClientConnectionChannel

extends MQChannel

Client connection channel

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getLocalCommunicationAddress()` Local communications address for the channel (parameter identifier: MQCACH_LOCAL_ADDRESS).
`java.lang.String` | `getModeName()` Mode name (parameter identifier: MQCACH_MODE_NAME).
`boolean` | `hasLocalCommunicationAddress()`
`boolean` | `hasModeName()`
`void` | `setLocalCommunicationAddress(java.lang.String x)`
`void` | `setModeName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQChannel
`getBatchInterval, getBatchSize, getChannelMonitoring, getChannelStatistics, getConnectionName, getDisconnectInterval, getHeaderCompression, getHeartbeatInterval, getKeepAliveInterval, getMaxMessageLength, getMCAName, getMCAType, getMCAUserId, getMCAUserIdentifier, getMessageCompression, getMessageExitName, getMessageExitUserData, getMessageRetry, getMessageRetryTimer, getMessageRetryUserData, getName, getNonPersistentMessageSpeed, getProtocolEndpoint, getQueueManager, getQueueSharingGroupDisposition, getReceiveExitName, getReceiveExitUserData, getSecurityExitName, getSecurityExitUserData, getSendExitName, getSendExitUserData, getSequenceNumberWrap, getShortRetry, getSSLCipherSpecification, getSSLClientAuthentication, getSSLPeer, getTransmissionQueue, getUserID, hasBatchInterval, hasBatchSize, hasChannelMonitoring, hasChannelStatistics, hasConnectionName, hasDisconnectInterval, hasHeaderCompression, hasHeartbeatInterval, hasKeepAliveInterval, hasMaxMessageLength, hasMCAName, hasMCAType, hasMCAUserId, hasMCAUserIdentifier, hasMessageCompression, hasMessageExitName, hasMessageExitUserData, hasMessageRetry, hasMessageRetryTimer, hasMessageRetryUserData, hasName, hasNonPersistentMessageSpeed, hasProtocolEndpoint, hasQueueManager, hasQueueSharingGroupDisposition, hasReceiveExitName, hasReceiveExitUserData, hasSecurityExitName, hasSecurityExitUserData, hasSendExitName, hasSendExitUserData, hasSequenceNumberWrap, hasShortRetry, hasSSLCipherSpecification, hasSSLClientAuthentication, hasSSLPeer, hasTransmissionQueue, hasUserID, setBatchInterval, setBatchSize, setChannelMonitoring, setChannelStatistics, setConnectionName, setDisconnectInterval, setHeaderCompression, setHeartbeatInterval, setKeepAliveInterval, setMaxMessageLength, setMCAName, setMCAType, setMCAUserId, setMCAUserIdentifier, setMessageCompression, setMessageExitName, setMessageExitUserData, setMessageRetry, setMessageRetryTimer, setMessageRetryUserData, setName, setNonPersistentMessageSpeed, setProtocolEndpoint, setQueueManager, setQueueSharingGroupDisposition, setReceiveExitName, setReceiveExitUserData, setSecurityExitName, setSecurityExitUserData, setSendExitName, setSendExitUserData, setSequenceNumberWrap, setShortRetry, setSSLCipherSpecification, setSSLClientAuthentication, setSSLPeer, setTransmissionQueue, setUserID`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getModeName

    java.lang.String getModeName()
                                 throws AttributeNotSetException

  Mode name (parameter identifier: MQCACH_MODE_NAME). The maximum length of the string is MQ_MODE_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setModeName

    void setModeName(java.lang.String x)

### hasModeName

    boolean hasModeName()

### getLocalCommunicationAddress

    java.lang.String getLocalCommunicationAddress()
                                                  throws AttributeNotSetException

  Local communications address for the channel (parameter identifier: MQCACH_LOCAL_ADDRESS). The maximum length of the string is MQ_LOCAL_ADDRESS_LENGTH.

  Throws:
    `AttributeNotSetException`

### setLocalCommunicationAddress

    void setLocalCommunicationAddress(java.lang.String x)

### hasLocalCommunicationAddress

    boolean hasLocalCommunicationAddress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD